Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.vendor
Class HostsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.atomikos.swing.AbstractPropertiesTableModel
              com.atomikos.vendor.HostsTableModel

All Implemented Interfaces:
  PropertiesTableModel, Serializable, TableModel

    public class HostsTableModel

extends AbstractPropertiesTableModel

Copyright © 2003 Guy Pardon, Atomikos. All rights reserved.

Author:
  guy A table model for node-locking IP addresses.
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`HostsTableModel(Vector data, String[] columnNames)`

Method Summary
`Object` | `getValueAt(int row, int column)`

Methods inherited from class com.atomikos.swing.AbstractPropertiesTableModel
`getColumnCount, getColumnName, getData, getRowCount, getTableModel, isCellEditable, refresh, rowDeleted, rowInserted`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostsTableModel

    public HostsTableModel(Vector data,
                           String[] columnNames)

Parameters:
  `data` -
  `columnNames` -

Method Detail

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Specified by:
    `getValueAt` in interface `TableModel`
  Specified by:
    `getValueAt` in class `AbstractPropertiesTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.